import { Notify } from 'quasar';

const creatNotify = function (type: string, msg: string) {
  Notify.create({
    type,
    message: msg,
    position: 'top',
  });
};
type IMessage = {
  success: (msg: string) => void;
  error: (msg: string) => void;
  warn: (msg: string) => void;
  info: (msg: string) => void;
};

const message: IMessage = {
  success: (msg: string) => {
    creatNotify('positive', msg);
  },
  error: (msg: string) => {
    creatNotify('negative', msg);
  },
  warn: (msg: string) => {
    creatNotify('warning', msg);
  },
  info: (msg: string) => {
    creatNotify('info', msg);
  },
};

function useMessage() {
  return message;
}

export { useMessage };
